#ifndef TMHistogrammingBunchCrossingMod4_H
#define TMHistogrammingBunchCrossingMod4_H

#include "TMHistogrammingCheckButton.h"

class TH1F;
struct eventHeaderStruct;

class TMHistogrammingBunchCrossingMod4 : public TMHistogrammingCheckButton {
 public:
  TMHistogrammingBunchCrossingMod4();
  virtual ~TMHistogrammingBunchCrossingMod4();
  
  virtual void StartEvent(eventHeaderStruct *event, UInt_t globalEventNumber);

  virtual void Draw(TPad *pad);
  virtual void Reset();

 protected:

  TH1F   *fTheHisto;

};

#endif
